LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 02-11-2019, 05:18 AM   #1
marbangens
Member
 
Registered: Aug 2012
Location: sweden
Distribution: Slackware, Fedora
Posts: 116

Rep: Reputation: Disabled
There is a game...


There is a game I want to run thru steam. It's called svencoop
when I run it I get

Code:
Error: /home/martin/.local/share/Steam/steamapps/common/Sven Co-op/hw.so: symbol _ZNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEED1Ev, version GLIBCXX_3.4.21 not defined in file libstdc++.so.6 with link time reference
Error: .so: cannot open shared object file: No such file or directory
Could not load hw.so.
Can I fix this? GLIBCXX is serious businesses right?
 
Old 02-11-2019, 05:38 AM   #2
pan64
LQ Guru
 
Registered: Mar 2012
Location: Hungary
Distribution: debian/ubuntu/suse ...
Posts: 12,025

Rep: Reputation: 3693Reputation: 3693Reputation: 3693Reputation: 3693Reputation: 3693Reputation: 3693Reputation: 3693Reputation: 3693Reputation: 3693Reputation: 3693Reputation: 3693
usually it means your libstdc++ lib is too old.
 
Old 02-11-2019, 06:01 AM   #3
kgha
Member
 
Registered: May 2018
Location: Sweden
Distribution: Slackware 64 -current multilib from AlienBob's LiveSlak MATE
Posts: 82

Rep: Reputation: 53
libstdc++ should be part of the gcc package. Wich version of gcc do you have? I read in another thread that you're running Slackware 14.1. Last gcc package in the 14.1 repo is gcc-4.8.2 which might be outdated.
However, upgrading gcc could give you issues with programs compiled towards your present gcc.
 
Old 02-11-2019, 06:05 AM   #4
Alien Bob
Slackware Contributor
 
Registered: Sep 2005
Location: Eindhoven, The Netherlands
Distribution: Slackware
Posts: 7,402

Rep: Reputation: 5650Reputation: 5650Reputation: 5650Reputation: 5650Reputation: 5650Reputation: 5650Reputation: 5650Reputation: 5650Reputation: 5650Reputation: 5650Reputation: 5650
There's a thread in this forum related to your issue. See the latest post where the solution is discussed: https://www.linuxquestions.org/quest...ml#post5762764
 
Old 02-11-2019, 07:39 AM   #5
marbangens
Member
 
Registered: Aug 2012
Location: sweden
Distribution: Slackware, Fedora
Posts: 116

Original Poster
Rep: Reputation: Disabled
I did that now i have this instead

Code:
ERROR: ld.so: object '/home/martin/.local/share/Steam/ubuntu12_32/gameoverlayrenderer.so' from LD_PRELOAD cannot be preloaded: ignored.
/home/martin/.local/share/Steam/steamapps/common/Sven Co-op/svencoop_linux: /home/martin/.local/share/Steam/ubuntu12_32/steam-runtime/pinned_libs_32/libstdc++.so.6: version `CXXABI_1.3.9' not found (required by /home/martin/.local/share/Steam/steamapps/common/Sven Co-op/svencoop_linux)
I don't get it which one should I replace?

Code:
bash-4.2$ find .local/ | grep libstdc++.so.6
.local/share/Steam/ubuntu12_32/steam-runtime/pinned_libs_32/system_libstdc++.so.6
.local/share/Steam/ubuntu12_32/steam-runtime/pinned_libs_32/libstdc++.so.6
.local/share/Steam/ubuntu12_32/steam-runtime/i386/usr/share/gdb/auto-load/usr/lib/i386-linux-gnu/libstdc++.so.6.0.21-gdb.py
.local/share/Steam/ubuntu12_32/steam-runtime/i386/usr/lib/i386-linux-gnu/libstdc++.so.6.0.21
.local/share/Steam/ubuntu12_32/steam-runtime/i386/usr/lib/i386-linux-gnu/libstdc++.so.6
.local/share/Steam/ubuntu12_32/steam-runtime/amd64/usr/share/gdb/auto-load/usr/lib/x86_64-linux-gnu/libstdc++.so.6.0.21-gdb.py
.local/share/Steam/ubuntu12_32/steam-runtime/amd64/usr/lib/x86_64-linux-gnu/libstdc++.so.6.0.21
.local/share/Steam/ubuntu12_32/steam-runtime/amd64/usr/lib/x86_64-linux-gnu/libstdc++.so.6
.local/share/Steam/ubuntu12_32/steam-runtime/pinned_libs_64/system_libstdc++.so.6
.local/share/Steam/ubuntu12_32/steam-runtime/pinned_libs_64/libstdc++.so.6
.local/share/Steam/ubuntu12_32/steam-runtime.old/i386/usr/lib/i386-linux-gnu/libstdc++.so.6
.local/share/Steam/ubuntu12_32/steam-runtime.old/i386/usr/lib/i386-linux-gnu/libstdc++.so.6.0.18
sorry I am stupid and don't know shit

Last edited by marbangens; 02-11-2019 at 07:41 AM.
 
Old 02-11-2019, 08:05 AM   #6
marbangens
Member
 
Registered: Aug 2012
Location: sweden
Distribution: Slackware, Fedora
Posts: 116

Original Poster
Rep: Reputation: Disabled
I replaced first

/ubuntu12_32/steam-runtime.old/i386/usr/lib/i386-linux-gnu/libstdc++.so.6.0.18

Then

.local/share/Steam/ubuntu12_32/steam-runtime/pinned_libs_32/libstdc++.so.6
 
Old 02-11-2019, 08:34 AM   #7
pan64
LQ Guru
 
Registered: Mar 2012
Location: Hungary
Distribution: debian/ubuntu/suse ...
Posts: 12,025

Rep: Reputation: 3693Reputation: 3693Reputation: 3693Reputation: 3693Reputation: 3693Reputation: 3693Reputation: 3693Reputation: 3693Reputation: 3693Reputation: 3693Reputation: 3693
I would try this: .local/share/Steam/ubuntu12_32/steam-runtime/i386/usr/lib/i386-linux-gnu/libstdc++.so.6.0.21 probably
 
Old 02-11-2019, 09:02 AM   #8
marbangens
Member
 
Registered: Aug 2012
Location: sweden
Distribution: Slackware, Fedora
Posts: 116

Original Poster
Rep: Reputation: Disabled
I deleted /home/martin/.local/share/Steam
and reinstalled it by running steam.

then
Code:
cp /usr/lib/libstdc++.so.6 /home/martin/.local/share/Steam/ubuntu12_32/steam-runtime/i386/usr/lib/i386-linux-gnu/libstdc++.so.6
now I got

Code:
GameAction [AppID 225840, ActionID 2] : LaunchApp changed task to WaitingGameWindow with ""
ERROR: ld.so: object '/home/martin/.local/share/Steam/ubuntu12_32/gameoverlayrenderer.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object '/home/martin/.local/share/Steam/ubuntu12_32/gameoverlayrenderer.so' from LD_PRELOAD cannot be preloaded: ignored.
GameAction [AppID 225840, ActionID 2] : LaunchApp changed task to Completed with ""
pid 15318 != 15317, skipping destruction (fork without exec?)
ERROR: ld.so: object '/home/martin/.local/share/Steam/ubuntu12_32/gameoverlayrenderer.so' from LD_PRELOAD cannot be preloaded: ignored.
/home/martin/.local/share/Steam/steamapps/common/Sven Co-op/svencoop_linux: /home/martin/.local/share/Steam/ubuntu12_32/steam-runtime/pinned_libs_32/libstdc++.so.6: version `CXXABI_1.3.9' not found (required by /home/martin/.local/share/Steam/steamapps/common/Sven Co-op/svencoop_linux)
>>> Adding process 15317 for game ID 225840
>>> Adding process 15319 for game ID 225840
Game removed: AppID 225840 "", ProcID 15316
I should replace /home/martin/.local/share/Steam/ubuntu12_32/steam-runtime/pinned_libs_32/libstdc++.so.6
now right?
I just do it and see how much it brakes
plzz help

Last edited by marbangens; 02-11-2019 at 09:05 AM.
 
Old 02-11-2019, 09:10 AM   #9
marbangens
Member
 
Registered: Aug 2012
Location: sweden
Distribution: Slackware, Fedora
Posts: 116

Original Poster
Rep: Reputation: Disabled
I still get this and Im stuck

Code:
/home/martin/.local/share/Steam/steamapps/common/Sven Co-op/svencoop_linux: /home/martin/.local/share/Steam/ubuntu12_32/steam-runtime/pinned_libs_32/libstdc++.so.6: version `CXXABI_1.3.9' not found (required by /home/martin/.local/share/Steam/steamapps/common/Sven Co-op/svencoop_linux)
 
Old 02-11-2019, 12:32 PM   #10
marbangens
Member
 
Registered: Aug 2012
Location: sweden
Distribution: Slackware, Fedora
Posts: 116

Original Poster
Rep: Reputation: Disabled
its the same on kxstudio (ubuntu 14.04) the exact same error from the start (fresh installation)
I remember I played this on LinuxMint an it ran smother total lag free then windows 7. I can still play it on windows 7 with a little lag..
whats more impotent is to make music..
 
Old 02-11-2019, 01:34 PM   #11
kgha
Member
 
Registered: May 2018
Location: Sweden
Distribution: Slackware 64 -current multilib from AlienBob's LiveSlak MATE
Posts: 82

Rep: Reputation: 53
Not sure what you mean with your last post. Do you have issues running kxstudio on Slackware? If so, did you repack the binaries from the .deb package, or did you build it from source? Or do you run kxstudio on the Steam platform and get the same error message that you've described earlier?

If you want to make music and run Slackware, maybe you should take a look at http://studioware.org/ - includes MuseScore, Rosegarden, jack-rack and a lot of other interesting stuff.
 
Old 02-13-2019, 05:59 AM   #12
marbangens
Member
 
Registered: Aug 2012
Location: sweden
Distribution: Slackware, Fedora
Posts: 116

Original Poster
Rep: Reputation: Disabled
What I ment was what Linux mint or ubunt 16.04 have slackware should have. Some bild script for it. For thos programs that comes pre built as binary.
 
Old 02-13-2019, 06:12 AM   #13
kgha
Member
 
Registered: May 2018
Location: Sweden
Distribution: Slackware 64 -current multilib from AlienBob's LiveSlak MATE
Posts: 82

Rep: Reputation: 53
Quote:
Originally Posted by marbangens View Post
What I ment was what Linux mint or ubunt 16.04 have slackware should have. Some bild script for it. For thos programs that comes pre built as binary.
rpm and deb packages can easily be repacked using rpm2tgz and deb2tgz. Or by extracting them and repack them with the makepkg command. However, there's no guarantee that they will work since they may have been built with dependencies that you don't ahve installed.

Take a look at https://docs.slackware.com/slackwareackage_management as a starting point.
 
Old 02-13-2019, 07:43 AM   #14
marbangens
Member
 
Registered: Aug 2012
Location: sweden
Distribution: Slackware, Fedora
Posts: 116

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by kgha View Post
rpm and deb packages can easily be repacked using rpm2tgz and deb2tgz. Or by extracting them and repack them with the makepkg command. However, there's no guarantee that they will work since they may have been built with dependencies that you don't ahve installed.

Take a look at https://docs.slackware.com/slackwareackage_management as a starting point.
Im not point out that I love How I install and manage my own dependencies with Slackware. But for this binary need something else I think glibc (CXXABI_1.3.9)? Im saying its the same porblem with ubuntu 14.04 kxstudio. I want thos linux mint dependencies in Slackware all Im saying. So I can run thos binarys that gives that error.
 
Old 02-13-2019, 08:51 AM   #15
montagdude
Senior Member
 
Registered: Apr 2016
Distribution: Slackware
Posts: 1,385

Rep: Reputation: 1037Reputation: 1037Reputation: 1037Reputation: 1037Reputation: 1037Reputation: 1037Reputation: 1037Reputation: 1037
Which version of Slackware are you running? libstdc++ in Slackware 14.2 has CXXABI_1.3.9. Try downloading the gcc-g++ package from Slackware 14.2. Don't install it, but just untar it and replace /home/martin/.local/share/Steam/ubuntu12_32/steam-runtime/pinned_libs_32/libstdc++.so.6 with the version from that package.
 
1 members found this post helpful.
  


Reply

Tags
glibcxx


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[Game Development] Game Engine / Game specifically for Linux Imazighen-Thamzgha Linux - Games 7 04-24-2017 03:39 PM
LXer: There is Ubuntu, There is Linux and Then There are Others LXer Syndicated Linux News 0 03-20-2013 09:03 PM
2D/3D Game EASY Game Development Software tedjordan Linux - Games 1 03-22-2005 07:40 AM
game not receving game list from master server Rnastyracer Linux - Games 2 04-02-2004 11:20 PM
Is there a REALLY good Linux game out there? opensource Linux - Games 34 02-15-2004 02:33 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 03:01 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration